drop table MULTE;
drop table CONSEGNA;
drop table AZIENDA;
drop table FATTORINO;

CREATE TABLE FATTORINO
(FID  SMALLINT NOT NULL,
 NOME   CHAR(15) NOT NULL,
 INIZIALI  CHAR(3),
 ANNO_NASCITA SMALLINT,
 SESSO   CHAR(1),
 ANNO_ASSUNZIONE  SMALLINT NOT NULL,
 VIA  CHAR(15) NOT NULL,
 NUMEROVIA  CHAR(4),
 CAP  CHAR(6),
 CITTA   CHAR(10) NOT NULL,
 CELL  CHAR(10),
 TEL CHAR(4),
 PRIMARY KEY(FID)
 );

CREATE TABLE AZIENDA
 (AID  SMALLINT NOT NULL,
 FID  SMALLINT NOT NULL,
 INCARICO  CHAR(20) NOT NULL,
 PRIMARY KEY(AID),
 FOREIGN KEY(FID) REFERENCES FATTORINO(FID)
 );

CREATE TABLE CONSEGNA
 (AID  SMALLINT NOT NULL ,
 FID  SMALLINT NOT NULL,
 NUMCONSEGNE   SMALLINT NOT NULL,
 NUMRITIRI   SMALLINT NOT NULL,
 PRIMARY KEY (AID,FID),
 FOREIGN KEY(FID) REFERENCES FATTORINO(FID),
 FOREIGN KEY(AID) REFERENCES AZIENDA(AID)
 );

CREATE TABLE MULTE
 (MID INTEGER NOT NULL,
 FID  SMALLINT NOT NULL,
 DATA   DATE NOT NULL,
 COSTO  DECIMAL(7,2)   NOT NULL,
 PRIMARY KEY(MID),
 FOREIGN KEY(FID) REFERENCES FATTORINO(FID)
  );

REMARK

/*
Inserimento dati nelle tabelle.
*/

INSERT INTO FATTORINO (FID,NOME,INIZIALI,ANNO_NASCITA,SESSO,ANNO_ASSUNZIONE,VIA,NUMEROVIA,CAP,CITTA,CELL,TEL)
       VALUES (2,'Everett','R',1988,'M',2005,'Stoney Road','43','3575NH','Stratford','070-237893','2411');

INSERT INTO FATTORINO (FID,NOME,INIZIALI,ANNO_NASCITA,SESSO,ANNO_ASSUNZIONE,VIA,NUMEROVIA,CAP,CITTA,CELL,TEL)
       VALUES (6,'Parmenter','R',1994,'M',2007,'Haseltine Lane','80','1234KK','Stratford','070-476537','8467');

INSERT INTO FATTORINO (FID,NOME,INIZIALI,ANNO_NASCITA,SESSO,ANNO_ASSUNZIONE,VIA,NUMEROVIA,CAP,CITTA,CELL,TEL)
       VALUES (8,'Newcastle','B',1982,'F',2010,'Station Road','4','6584WO','Inglewood','070-476573','2983');

INSERT INTO FATTORINO (FID,NOME,INIZIALI,ANNO_NASCITA,SESSO,ANNO_ASSUNZIONE,VIA,NUMEROVIA,CAP,CITTA,CELL,TEL)
       VALUES (27,'Collins','DD',1984,'F',2013,'Long Drive','804','8457DK','Eltham','079-234857','2513');

INSERT INTO FATTORINO (FID,NOME,INIZIALI,ANNO_NASCITA,SESSO,ANNO_ASSUNZIONE,VIA,NUMEROVIA,CAP,CITTA,CELL,TEL)
       VALUES (44,'Baker','E',1993,'M',2010,'Lewis VIA','23','4444LJ','Inglewood','070-368753','1124');

INSERT INTO FATTORINO (FID,NOME,INIZIALI,ANNO_NASCITA,SESSO,ANNO_ASSUNZIONE,VIA,NUMEROVIA,CAP,CITTA,CELL,TEL)
       VALUES (57,'Brown','M',1971,'M',2005,'Edgecombe Way','16','4377CB','Stratford','070-473458','6409');

INSERT INTO FATTORINO (FID,NOME,INIZIALI,ANNO_NASCITA,SESSO,ANNO_ASSUNZIONE,VIA,NUMEROVIA,CAP,CITTA,CELL,TEL)
       VALUES (83,'Hope','PK',1986,'M',2012,'Magdalene Road','16a','1812UP','Stratford','070-353548','1608');

INSERT INTO FATTORINO (FID,NOME,INIZIALI,ANNO_NASCITA,SESSO,ANNO_ASSUNZIONE,VIA,NUMEROVIA,CAP,CITTA,CELL,TEL)
       VALUES (100,'Parmenter','P',1993,'M',2019,'Haseltine Lane','80','1234KK','Stratford','070-476537','6524');

INSERT INTO FATTORINO (FID,NOME,INIZIALI,ANNO_NASCITA,SESSO,ANNO_ASSUNZIONE,VIA,NUMEROVIA,CAP,CITTA,CELL,TEL)
       VALUES (104,'Moorman','D',1990,'F',2014,'Stout VIA','65','9437AO','Eltham','079-987571','7060');

INSERT INTO FATTORINO (FID,NOME,INIZIALI,ANNO_NASCITA,SESSO,ANNO_ASSUNZIONE,VIA,NUMEROVIA,CAP,CITTA,CELL,TEL)
       VALUES (112,'Bailey','IP',1993,'F',2014,'Vixen Road','8','6392LK','Plymouth','010-54874','1319');

INSERT INTO FATTORINO (FID,NOME,INIZIALI,ANNO_NASCITA,SESSO,ANNO_ASSUNZIONE,VIA,NUMEROVIA,CAP,CITTA,CELL)
       VALUES (7,'Wise','GWS',1983,'M',2011,'Edgecombe Way','39','9758VB','Stratford','070-347689');

INSERT INTO FATTORINO (FID,NOME,INIZIALI,ANNO_NASCITA,SESSO,ANNO_ASSUNZIONE,VIA,NUMEROVIA,CAP,CITTA,CELL)
       VALUES (28,'Collins','C',1993,'F',2013,'Old Main Road','10','1294QK','Midhurst','010-659599');

INSERT INTO FATTORINO (FID,NOME,INIZIALI,ANNO_NASCITA,SESSO,ANNO_ASSUNZIONE,VIA,NUMEROVIA,CAP,CITTA,CELL)
       VALUES (39,'Bishop','D',1976,'M',2010,'Eaton Square','78','9629CD','Stratford','070-393435');

INSERT INTO FATTORINO (FID,NOME,INIZIALI,ANNO_NASCITA,SESSO,ANNO_ASSUNZIONE,VIA,NUMEROVIA,CAP,CITTA,CELL)
       VALUES (95,'Miller','P',1974,'M',2002,'High VIA','33a','5746OP','Douglas','070-867564');

INSERT INTO AZIENDA (AID, FID, INCARICO)
       VALUES ( 1, 6, 'primo');

INSERT INTO AZIENDA (AID, FID, INCARICO)
       VALUES ( 2, 27, 'secondo');

INSERT INTO CONSEGNA
       VALUES (1,2,4,8);

INSERT INTO CONSEGNA
       VALUES (1,6,9,1);

INSERT INTO CONSEGNA
       VALUES (1,8,0,1);

INSERT INTO CONSEGNA
       VALUES (1,44,7,5);

INSERT INTO CONSEGNA
       VALUES (1,57,5,0);

INSERT INTO CONSEGNA
       VALUES (1,83,3,3);

INSERT INTO CONSEGNA
       VALUES (2,8,4,4);

INSERT INTO CONSEGNA
       VALUES (2,27,11,2);
	   
INSERT INTO CONSEGNA
       VALUES (2,104,8,4);
	   
INSERT INTO CONSEGNA
       VALUES (2,112,4,8);

INSERT INTO MULTE 
       VALUES (1,6,TO_DATE('12/08/2020','DD/MM/YYYY'),100);
	   
INSERT INTO MULTE 
      VALUES (2,44,TO_DATE('05/05/2021','DD/MM/YYYY'),75);
	   
INSERT INTO MULTE 
       VALUES (3,27,TO_DATE('10/9/2021','DD/MM/YYYY'),50);
	   
INSERT INTO MULTE 
       VALUES (4,104,TO_DATE('08/12/2019','DD/MM/YYYY'),50);
	   
INSERT INTO MULTE 
       VALUES (5,44,TO_DATE('8/12/2020','DD/MM/YYYY'),25);
	   
INSERT INTO MULTE 
       VALUES (6,8,TO_DATE('08/12/2020','DD/MM/YYYY'),25);
	   
INSERT INTO MULTE 
       VALUES (7,44,TO_DATE('30/12/2021','DD/MM/YYYY'),30);
	   
INSERT INTO MULTE 
       VALUES (8,27,TO_DATE('12/11/2021','DD/MM/YYYY'),75);
       
INSERT INTO MULTE 
       VALUES (9,27,TO_DATE('10/9/2021','DD/MM/YYYY'),50);
	   
